Page MenuHomePhabricator

elm_colorselector: fix improperly named API theme parts
ClosedPublic

Authored by zmike on May 25 2018, 2:55 PM.

Details

Summary

API parts require namespacing, these parts have been namespaced with
compatibility code added to handle legacy naming

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.May 25 2018, 2:55 PM
cedric requested changes to this revision.May 28 2018, 10:07 PM
cedric added inline comments.
src/lib/elementary/elm_colorselector.c
1803

Hum, ins't elm_object_part_content_set also registering the object as subobject ?

This revision now requires changes to proceed.May 28 2018, 10:07 PM
zmike updated this revision to Diff 14827.May 29 2018, 7:24 AM
zmike edited the summary of this revision. (Show Details)

explicitly add widget to layout sub-objects

src/lib/elementary/elm_colorselector.c
1803

Ergh you're right. But it has no return code. Will add manually...

Hermet requested changes to this revision.Jun 18 2018, 4:55 AM
Hermet added a subscriber: Hermet.
Hermet added inline comments.
src/lib/elementary/elm_colorselector.c
1803

elm_layout_content_set()?

This revision now requires changes to proceed.Jun 18 2018, 4:55 AM
zmike updated this revision to Diff 15011.Jun 18 2018, 7:20 AM

use elm_layout_content_set

src/lib/elementary/elm_colorselector.c
1803

Oh good point.

So is this solution correct now? Is it just awaiting approval by a reviewer?

stephenmhouston accepted this revision.Jun 20 2018, 9:56 AM

Simple enough fix, implementation looks correct, tested with colorsel and all works fine.

This revision was not accepted when it landed; it landed in state Needs Review.Jun 20 2018, 9:58 AM
This revision was automatically updated to reflect the committed changes.